Subject: A TLP implementation question

From: hiren panchasara <[email-masked]>
Date: Tue, 13 Feb 2018 16:27:51 -0800

Looking at current net-next to understand an aspect of TLP (tail loss
probe) implementation.

https://tools.ietf.org/html/draft-ietf-tcpm-rack-02 is the source of
truth now for TLP and 6.2.1.  Phase 1: Scheduling a loss probe
Step 1: Check conditions for scheduling a PTO. has following as one of
the conditions:
(d) The most recently transmitted data was not itself a TLP probe
(i.e. a sender MUST NOT send consecutive TLP probes)

I would appreciate if someone can help me trace how current code is
trying to enforce this requirement. How does it check/track that the
last (re)transmitted packet was a tlp probe.

Thanks in advance,
Hiren